Bug 750666 - Optimize validation of replicated data
Summary: Optimize validation of replicated data
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.2.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 389_1.2.10
TreeView+ depends on / blocked
 
Reported: 2011-11-01 22:45 UTC by Nathan Kinder
Modified: 2015-01-04 23:51 UTC (History)
1 user (show)

Fixed In Version: 389-ds-base-1.2.11-0.1.a1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-04 23:17:32 UTC


Attachments (Terms of Use)

Description Nathan Kinder 2011-11-01 22:45:40 UTC
There are some optimizations we can make around validation of replicated data.  In particular, we could skip syntax checking for replicated operations since the syntax checking of the new values should have been performed on the master that initially received the operation from a client.  This optimization should help improve performance of replicated operations.

We should add the ability to configure if syntax checking should be skipped for replicated operations to allow flexibility for different deployments.  We also may want to think if there are other things we could skip around replicated operations, such as schema checking.

Comment 1 Martin Kosek 2012-01-04 13:17:53 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/17

Comment 2 Rich Megginson 2012-01-10 17:38:25 UTC
marking as screened because it has been cloned upstream

Comment 3 Nathan Kinder 2013-03-04 23:17:32 UTC
This was fixed in 389-ds-base-1.2.11-0.1.a1.fc17.  Closing.


Note You need to log in before you can comment on or make changes to this bug.